# $Revision: 1.4 $, $Date: 2004/12/20 20:54:40 $
%define 	srcname	fortran-modes
Summary:	XEmacs modes for Fortran programming language
Summary(pl):	XEmacsowe tryby do jzyka programowania Fortran
Name:		xemacs-%{srcname}-pkg
Version:	1.04
Release:	1
License:	GPL
Group:		Applications/Editors/Emacs
Source0:	ftp://ftp.xemacs.org/xemacs/packages/%{srcname}-%{version}-pkg.tar.gz
# Source0-md5:	0ffa638d8929a59b81f65394cf4a4ff5
URL:		http://www.xemacs.org/
Requires:	xemacs
Requires:	xemacs-base-pkg
Requires:	xemacs-devel-pkg
Requires:	xemacs-mail-lib-pkg
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XEmacs modes for Fortran programming language (Fortran 77 and 90
standards), moved from xemacs-prog-modes package.

%description -l pl
XEmacsowe tryby do jzyka programowania Fortran (w standardach Fortran
77 i 90), wyjte z pakietu xemacs-prog-modes.

%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/xemacs-packages

cp -a * $RPM_BUILD_ROOT%{_datadir}/xemacs-packages

# remove .el file if corresponding .elc file exists
find $RPM_BUILD_ROOT -type f -name "*.el" | while read i; do test ! -f ${i}c || rm -f $i; done

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc lisp/fortran-modes/ChangeLog
%dir %{_datadir}/xemacs-packages/lisp/*
%{_datadir}/xemacs-packages/lisp/*/*.el*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xemacs-fortran-modes-pkg.spec,v $
Revision 1.4  2004/12/20 20:54:40  qboosh
- unification

Revision 1.3  2004/12/19 05:54:07  ankry
- typo

Revision 1.2  2004/12/18 20:12:15  roman
- updated Source0-md5

Revision 1.1  2004/12/18 20:11:24  roman
- xemacs-fortran-modes package (they took it out of xemacs-prog-modes)
- spec plagiarized from xemacs-prog-modes-pkg.spec
- works OK (tested by me)
- release 1
- STBR
